VectorLinux
November 22, 2014, 02:08:57 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: getting konqueror separate from kdebase?  (Read 1436 times)
Daniel
Packager
Vectorian
****
Posts: 704


WWW
« on: December 09, 2009, 08:06:02 am »

How do I get konqueror without getting kdebase? I know that it's possible because I have an old installation cd for Xandros and there were several separate kde applications on the cd including konqueror. Separate as in there were separate packages for some kde applications including konqueror. So how do you get kde applications independent of/separate from kde? could I just copy the executable for konqueror to another computer to get konqueror?
Logged

The following sentence is true. The previous sentence is false.

VL 6.0 SOHO KDE-Classic on 2.3 Ghz Dual-core AMD with 3 Gigs of RAM
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #1 on: December 09, 2009, 10:06:41 am »

I took a look on konqueror's home page and it doesn't look like there is any easy downloads you can build yourself.
http://www.konqueror.org/download/

I know Arch has been successfull separating KDE components, but even they list the package for konqueror as "kdebase-konqueror 4.3.4-1"

Another Distro Chakra (which if you love exploring lesser know distro's is worth a look.) Is based on Arch and specializes in the kde environment.
They managed to split Dolphin from the konqueror package but here is how they describe the dependency chain.
 
Quote
split konqueror & dolphin packages (dolphin doesnt need anything besides kdebase, konqueror needs dolphin to be installed)
So even, if you split them konqueror will still require dolphin and dolphin required kdebase. So not much hope I think.
Ken
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
rbistolfi
Packager
Vectorian
****
Posts: 2290


« Reply #2 on: December 09, 2009, 10:11:34 am »

You could use ldd to see which exact libraries konkeror needs.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #3 on: December 09, 2009, 10:12:48 am »

you would need the executable for konqueror and any libs it requires you can get that list from ldd
Code:
root:# ldd /usr/bin/konqueror                                                                                
        linux-gate.so.1 =>  (0xb7821000)                                                                    
        libkdeinit4_konqueror.so => /usr/lib/libkdeinit4_konqueror.so (0xb773b000)                          
        libkonquerorprivate.so.4 => /usr/lib/libkonquerorprivate.so.4 (0xb7732000)                          
        libkonq.so.5 => /usr/lib/libkonq.so.5 (0xb7701000)                                                  
        libkutils.so.4 => /usr/lib/libkutils.so.4 (0xb76bb000)                                              
        libkparts.so.4 => /usr/lib/libkparts.so.4 (0xb7680000)                                              
        libkio.so.5 => /usr/lib/libkio.so.5 (0xb73f5000)                                                    
        libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xb72db000)                                        
        libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xb7296000)                                                
        libkdeui.so.5 => /usr/lib/libkdeui.so.5 (0xb6f0f000)                                                
        libQtSvg.so.4 => /usr/lib/libQtSvg.so.4 (0xb6ebc000)                                                
        libkdecore.so.5 => /usr/lib/libkdecore.so.5 (0xb6c68000)                                            
        libQtDBus.so.4 => /usr/lib/libQtDBus.so.4 (0xb6bf5000)                                              
        libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xb69b9000)                                              
        libpthread.so.0 => /lib/libpthread.so.0 (0xb697d000)
        libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xb5fce000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb5fc5000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb5fae000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb5e97000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb5e89000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0xb5e77000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb5e74000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb5e6f000)
        libXpm.so.4 => /usr/lib/libXpm.so.4 (0xb5e5f000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb5d78000)
        libm.so.6 => /lib/libm.so.6 (0xb5d52000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb5d47000)
        libc.so.6 => /lib/libc.so.6 (0xb5bfb000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb5be7000)
        libstreamanalyzer.so.0 => /usr/lib/libstreamanalyzer.so.0 (0xb5b68000)root:# ldd /usr/bin/konqueror                                                                                
        linux-gate.so.1 =>  (0xb7821000)                                                                    
        libkdeinit4_konqueror.so => /usr/lib/libkdeinit4_konqueror.so (0xb773b000)                          
        libkonquerorprivate.so.4 => /usr/lib/libkonquerorprivate.so.4 (0xb7732000)                          
        libkonq.so.5 => /usr/lib/libkonq.so.5 (0xb7701000)                                                  
        libkutils.so.4 => /usr/lib/libkutils.so.4 (0xb76bb000)                                              
        libkparts.so.4 => /usr/lib/libkparts.so.4 (0xb7680000)                                              
        libkio.so.5 => /usr/lib/libkio.so.5 (0xb73f5000)                                                    
        libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xb72db000)                                        
        libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xb7296000)                                                
        libkdeui.so.5 => /usr/lib/libkdeui.so.5 (0xb6f0f000)                                                
        libQtSvg.so.4 => /usr/lib/libQtSvg.so.4 (0xb6ebc000)                                                
        libkdecore.so.5 => /usr/lib/libkdecore.so.5 (0xb6c68000)                                            
        libQtDBus.so.4 => /usr/lib/libQtDBus.so.4 (0xb6bf5000)                                              
        libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xb69b9000)                                              
        libpthread.so.0 => /lib/libpthread.so.0 (0xb697d000)
        libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xb5fce000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb5fc5000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb5fae000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb5e97000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb5e89000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0xb5e77000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb5e74000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb5e6f000)
        libXpm.so.4 => /usr/lib/libXpm.so.4 (0xb5e5f000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb5d78000)
        libm.so.6 => /lib/libm.so.6 (0xb5d52000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb5d47000)
        libc.so.6 => /lib/libc.so.6 (0xb5bfb000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb5be7000)
        libstreamanalyzer.so.0 => /usr/lib/libstreamanalyzer.so.0 (0xb5b68000)
        libstreams.so.0 => /usr/lib/libstreams.so.0 (0xb5b2d000)
        libsolid.so.4 => /usr/lib/libsolid.so.4 (0xb5abe000)
        libfam.so.0 => /usr/lib/libfam.so.0 (0xb5ab7000)
        libacl.so.1 => /lib/libacl.so.1 (0xb5ab0000)
        libattr.so.1 => /lib/libattr.so.1 (0xb5aab000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb5aa3000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb5a9f000)
        librt.so.1 => /lib/librt.so.1 (0xb5a96000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb59c9000)
        libdl.so.2 => /lib/libdl.so.2 (0xb59c4000)
        libXtst.so.6 => /usr/lib/libXtst.so.6 (0xb59bf000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb59b6000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb59b1000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb598e000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb591a000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb58e0000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb58b5000)
        libbz2.so.1 => /lib/libbz2.so.1 (0xb58a4000)
        liblzma.so.0 => /lib/liblzma.so.0 (0xb5883000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb586f000)
        /lib/ld-linux.so.2 (0xb7822000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb5857000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb573c000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb571b000)

        libstreams.so.0 => /usr/lib/libstreams.so.0 (0xb5b2d000)
        libsolid.so.4 => /usr/lib/libsolid.so.4 (0xb5abe000)
        libfam.so.0 => /usr/lib/libfam.so.0 (0xb5ab7000)
        libacl.so.1 => /lib/libacl.so.1 (0xb5ab0000)
        libattr.so.1 => /lib/libattr.so.1 (0xb5aab000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb5aa3000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb5a9f000)
        librt.so.1 => /lib/librt.so.1 (0xb5a96000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb59c9000)
        libdl.so.2 => /lib/libdl.so.2 (0xb59c4000)
        libXtst.so.6 => /usr/lib/libXtst.so.6 (0xb59bf000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb59b6000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb59b1000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb598e000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb591a000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb58e0000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb58b5000)
        libbz2.so.1 => /lib/libbz2.so.1 (0xb58a4000)
        liblzma.so.0 => /lib/liblzma.so.0 (0xb5883000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb586f000)
        /lib/ld-linux.so.2 (0xb7822000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb5857000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb573c000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb571b000)
Logged
Daniel
Packager
Vectorian
****
Posts: 704


WWW
« Reply #4 on: December 09, 2009, 12:04:41 pm »

Thanks very much! I have been wanting to be able to have konqueror on a couple non-kde systems because of its networking and file management capabilities (such as being able to view compressed archives without extracting them). pcmanfm and Thunar just don't compare to konqueror. I have also written a script that pulls the executable and libraries into a directory tree fit for packaging. Here it is:

Code:
#! /bin/sh

if [ $# = 0 ]; then
echo "Usage: ./sep-kde-pkg-setup name-of-executable directory-to-setup-in"
exit 0
fi

execpath=$(which $1)
cd $2
mkdir -p .$(dirname $execpath)
cp $execpath .$(dirname $execpath)
mkdir -p usr/lib
mkdir lib
cp $(ldd $execpath | awk '{print $3}' | grep /usr) $2/usr/lib
cp $(ldd $execpath | awk '{print $3}' | grep -v /usr | grep /) $2/lib

echo "Package setup complete. You can now make a package from the directory you selected."
exit 0

The usage syntax (as noted in the code above) is: ./sep-kde-pkg-setup name-of-executable directory-to-setup-in

Again, thanks!
Logged

The following sentence is true. The previous sentence is false.

VL 6.0 SOHO KDE-Classic on 2.3 Ghz Dual-core AMD with 3 Gigs of RAM
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #5 on: December 09, 2009, 02:42:33 pm »

the script looks good, the only problem I see is that you are duplicating a lot of libs that should be on any linux system, and possibly creating a conflict by overwriting libs that may be from newer/older packages depending on what system you build the package on.
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!